/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.appliance;

import com.ibm.websphere.rainmaker.appliance.NLSUtils;
import java.util.Locale;
import com.ibm.websphere.rainmaker.logging.MessageUtils;

def getLocales() 
{
	 return NLSUtils.getCloudburstLocales();
}

def getLocale()
{
	if(NLSUtils.hasDefault()){
		return [NLSUtils.readLocale().toString()];
	}else{
		return [Locale.getDefault().toString()];
	}
}

def updateLocale(loc) 
{
	Locale chosenLocale = new Locale(loc);
    Locale.setDefault(chosenLocale);
    try {
    	NLSUtils.writeLocale(chosenLocale);
    }
    catch (IOException e) {
		logger.FINE{"Could not write NLS file due to " + e.getMessage()};
	}	
    //_localizeDefaultNamesAndGroups ();
} 
/*
def _localizeDefaultNamesAndGroups () {
	def lang = getLanguageFromLocale(Locale.getDefault());
	updateUser([id: 1, name: MessageUtils.message(lang, 'RM02010', [])]);
    updateGroup([id: 1, name: MessageUtils.message(lang, 'RM02014', [])]);
}
*/
