/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
package groovy.rainmaker.core

class InputStreamUtils
{
    static Object eachLine(InputStream is, String charset, Closure c)
    {
        java.io.InputStreamReader isr = null
        java.io.BufferedReader br = null

        try {
            isr = new java.io.InputStreamReader(is, charset)
            br = new java.io.BufferedReader(isr)

            def result = null
            for (def s = br.readLine(); s != null; s = br.readLine())
                result = c(s)

            return result
        }
        finally {
            br?.close()
            isr?.close()
        }
    }
}
