/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.core;

import zero.core.connection.EmailConnection;
import com.ibm.websphere.rainmaker.logging.MessageUtils;

def sendEmail(address, subject, body) {
	if (!config.connection.defaults.smtp.hostname[])
	{
		logger.WARNING { MessageUtils.message('RM15007', [address]) };
		return;
	}

	def email = new EmailConnection(address);
	email.subject = "[WebSphere eXtreme Scale Appliance] ${subject}";
	email.setContent(body);

	def defaultFrom = storage.rainmaker.mail.sender[];
	def from = defaultFrom ?: getResourceField('users', [id: 1], 'email', String);
	email.fromAddress = from;
    
    email.send();
}
