/*
  Licensed Materials - Property of IBM
  IBM WebSphere CloudBurst Appliance (9235-72X)
  Copyright IBM Corporation 2009. All Rights Reserved.
  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import com.ibm.ws.xsa.snmp.exception.AddingDuplicateSNMPCommunityException;
import com.ibm.ws.xsa.snmp.CommunityOperations;
import zero.json.Json;

def onList()
{
	CommunityOperations commOps = CommunityOperations.getInstance();
	request.json.output = commOps.getSNMPCommunities(false);
	request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
	render();
}

def onPutCollection() {
	def updatedSubscriberState = Json.decode(request.input[]);
	try {
		CommunityOperations commOps = CommunityOperations.getInstance();
		def success = commOps.updateSNMPTrapSubscriptions(updatedSubscriberState.oid, updatedSubscriberState.enabled); 		
		if (!success)
			return com.ibm.websphere.rest.RenderUtils.renderError(404, 'RM08001');
			
		request.json.output = updatedSubscriberState;
		request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
		render();
	} catch (Throwable t) {
		return com.ibm.websphere.rest.RenderUtils.renderError(500, 'RM08005', t);
	}

}