/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.rest;

import com.ibm.websphere.rainmaker.logging.MessageUtils;

if (user.lang[] != null)
    return;

logger.FINEST { "Client sent the following locale options: ${request.locales[]}" };

request.locales[].each {
    def lang = MessageUtils.getLanguageFromLocale(it);
    def country = MessageUtils.getCountryFromLocale(it);
    
    def path = "app/messages/${lang}.properties";
    logger.FINEST { "Searching for message files named ${path}..." };
    
    def file = getVFile(path, null);
    
    if (!user.lang[] && file?.exists())
    {
        logger.FINEST { "Found a match - selecting locale based on file ${file.path}." };
        user.lang = lang;
        user.country = country;
    }
}

if (user.lang[] == null)
{
    def locale = Locale.getDefault();
    user.lang = getLanguageFromLocale(locale);
    user.country = MessageUtils.getCountryFromLocale(locale);
}

logger.FINE { "The client's locale is ${user.lang[]} / ${user.country[]}." };
