/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.users;

def settings = getResources('SettingDefinitions', [:], false);
def values = getResources('SettingValues', [:], false, ['id', 'settingid', 'value', 'description']);

settings.each { setting -> 
    logger.FINEST { "Loading definition for user setting ${setting.name} (id: ${setting.id})..." };
    setting.values = values.findAll { it.settingid == setting.id };
    setting.defaultvalue = values.find { it.id == setting.defaultvalueid };
}

tmp.settings = settings;

logger.FINEST { 'All setting definitions have been loaded.' }
